function clearField()
{
  editorHandle.content = "";
}

function cleanSource(plainContent)
{
  var tempContent = plainContent;
  var regex = /^<.+<body>/gi;
  tempContent = tempContent.replace(regex, "");
  regex = /<\/body><\/html>/gi;
  tempContent = tempContent.replace(regex, "");
  var stripBreaks;
  try {
	stripBreaks = discussPref.getBoolPref("discuss.removeBreaks");
  } catch (e) {
	stripBreaks = false;
  }
  if (stripBreaks) {
	regex = /<br>/gi;
	tempContent = tempContent.replace(regex, "");
  }
  if (tempContent.charAt(tempContent.length-1) != '\n') {
	tempContent = tempContent + "\n";
  }
  return tempContent;
}

function showHideFormatBar()
{
	var discussFormatBar = document.getElementById("discussFormatBar");
	if (discussFormatBar.collapsed == true) {
		discussFormatBar.collapsed = false;
		discussFormatbarOpen = true;
	} else {
		discussFormatBar.collapsed = true;
		discussFormatbarOpen = false;
	}
}

function setParagraph(format)
{
	editorHandle.editorShell.SetParagraphFormat(format);
}

var blogEditorObserver = {
  getSupportedFlavours : function ()
  {
	var flavours = new FlavourSet();
//	  flavours.appendFlavour("text/unicode");
	flavours.appendFlavour("text/html");
	return flavours;
  },
  onDragOver: function (evt,flavour,session)
  {
	selectionHandle = editorHandle.editorShell.editorSelection
								  .QueryInterface(Components.interfaces.nsISelection);
	var selectedText = selectionHandle.toString();
	if (selectedText) {
	  document.getElementById("discussEditorType").setAttribute("selectedIndex", 2);
	  document.getElementById("dragDropBox").setAttribute("value",
							  "Are you sure you want to replace the link name with " +
							  selectedText + "?");
	}
  },
  onDrop: function (evt,dropdata,session)
  {
	selectionHandle = editorHandle.editorShell.editorSelection
								  .QueryInterface(Components.interfaces.nsISelection);
	document.getElementById("discussEditorType").setAttribute("selectedIndex", 0);
	var selectedText = new String(selectionHandle.toString());
	if (selectedText) {
	  // need to implement checking valid <a>
	  var tmpString = new String(dropdata.data);
	  if (selectedText.charAt(selectedText.length - 1) == " ") {
		  var tmpSelectedText = selectedText.slice(0, - 1);
		  newString = tmpString.replace(/>.+<\/a>/i, ">" + tmpSelectedText + "</a>&nbsp;");
	  } else {
		  newString = tmpString.replace(/>.+<\/a>/i, ">" + selectedText + "</a>");
	  }
	  editorHandle.editorShell.InsertSource(newString);
	  document.getElementById("edit-frame").focus();
	} else {
		alert ('block');
	}
  }
};
