include('chrome://jslib/content/io/io.js');

var discussPref = Components.classes["@mozilla.org/preferences-service;1"]
                                         .getService(Components.interfaces.nsIPrefService)
																				 .getBranch(null);
var fullPath;                // fullpath to tempBuffer
var isEditorLoaded = false;  // editor loaded flag
var editorHandle;            // Editor instance
var editorShell;	           // editorShell instance
var gContentWindow;

initMozblog();

function hideDoc()
{
  var doc = document.getElementById('bottomBar');
  var splitter = document.getElementById('discussSplit');
  if (doc.collapsed == false || splitter.collapsed == false) 
	{
	  doc.collapsed = true;
	  splitter.collapsed = true;
	  window._content.focus();
	  saveTmpFile();						 // save tmp file
  } else {								 // open discuss
	  doc.collapsed = false;
	  splitter.collapsed = false;
	  if (!isEditorLoaded) {				  // init editor instance if not already done so
	    editorHandle = new Editor("discussEditorType", "edit-frame", "scraptDocument");
	    isEditorLoaded = true;
		  try {
			  var defaultView = discussPref.getBoolPref("discuss.defaultSourceView");
	    } catch (e) {
		    defaultView = false;
	    }

	    if (defaultView) { //if default as source view
		    document.getElementById('discussEditorType').setAttribute('selectedIndex','1');
		    document.getElementById('sourceView').setAttribute("checked", true);
		    editorHandle.editorShell.SetDisplayMode(3);
	    } else {
		    document.getElementById('htmlView').setAttribute("checked", true);
		    editorHandle.viewHtml();
	    }
	    populateBlogID();
	  }	
  }
}

function testing2()
{
			alert(editorHandle.state.title);
}


//*******************************************
// new experimental codes
//*******************************************
/*
function getForms()
{
	var formParameterCount = 0;
	var formParameter = new Array();
	var methodCall = "";
	var formList = window.frames[1].document.forms;
	var formField = formList[0].elements;
	var length = formField.length;
		if (length > 0) {
		for (i = 0; i < length; i++) {
			formElement = formField[i].type.toLowerCase();
			if (formElement == "submit") {
				alert ("method: " + formField[i].value);
				formParameter[formParameterCount] = formField[i].value;
			} else if (formElement == "text") {
				alert ("parameter: " + formField[i].value);
			} else if (formElement == "hidden") {
				methodCall = methodCall + formField[i].name + "=" + formField[i].value;
			} else {
				alert (formField[i].type);
			}
		}
		alert (formList[0].action + "?" + methodCall);
	}
}

function testComponent()
{
	var fh = new File("c:\classes.txt");
	fh.open('w');
	var countXp = 0;
	var badXpcom = Components.classes["@mozilla.org/registry;1"]
							 .getService(Components.interfaces.nsIRegistry);
	var allXpcom = Components.classes;
	for (comonentsXp in allXpcom) {
		countXp++;
		var clazz = Components.classes[comonentsXp];
		var obj  = clazz.createInstance();
		var srv = obj.QueryInterface(Components.interfaces.nsIClassInfo);
		fh.write(comonentsXp + " " + srv.classDescription + "\n");
	}
	alert (countXp);
	fh.close();
//	  alert (badXpcom.currentUserName);
}*/