function pingSelectedBlog()
{
  var ds           = rdfStore.getSource("profile");
  var blogid       = RDF.GetLiteral(document.getElementById("blogIDs").selectedItem.value);
  var blogSiteIDNS = RDF.GetResource("http://www.exitspace.net/blog/siteID");
  var blogIDNS     = ds.GetSource(blogSiteIDNS, blogid, true);
  var blogName     = getRDFAttribute(ds, blogSiteIDNS, "http://www.exitspace.net/blog/siteName");
  var blogUrl 	   = blogIDNS.QueryInterface(Components.interfaces.nsIRDFResource).Value;
//	var blogName	 = ds.GetTarget(blogIDNS, blogNameNS, true);
//	blogName		 = blogName.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
  weblogUpdatesPing(blogName, blogUrl);
  ds = null;
}

/**
 * weblogUpdates.ping
 * return dictionary of success and message
 */
function weblogUpdatesPing(blogName, blogUrl)
{
  try {
    pingBlog = discussPref.getBoolPref("blogger.pingBlog");
  } catch (e) {
    pingBlog = false;
  }
  if (pingBlog == true) {
    var userlandServerurl = xmlRpc.createType(xmlRpc.STRING, {});
    userlandServerurl = "http://rpc.weblogs.com/RPC2";
    var siteName = xmlRpc.createType(xmlRpc.STRING, {});
    siteName.data = blogName;
    var siteUrl = xmlRpc.createType(xmlRpc.STRING, {});
    siteUrl.data = blogUrl;
    xmlRpc.init(userlandServerurl);
    xmlRpc.asyncCall(ULpingListener, null, "weblogUpdates.ping", [siteName, siteUrl], 2);
  }
}

var ULpingListener = {
  onResult: function(client, ctxt, result) {
    dictResult = result.QueryInterface(Components.interfaces.nsIDictionary);
    dictResult1 = dictResult.getValue("flerror");
    dictResult2 = dictResult.getValue("message");
    dictResult1 = dictResult1.QueryInterface(Components.interfaces.nsISupportsPRBool);
    dictResult2 = dictResult2.QueryInterface(Components.interfaces.nsISupportsString);
    statusReport("Weblog.com ping: " + dictResult2);
  }, onFault: function(client, ctxt, fault) {
    dump("Fault! " + fault + "\n");
  }, onError: function(client, ctxt, status, errorMsg) {
    dump("Error! (" + status.toString(16) + ") " + errorMsg + "\n");
  }
};
