function renderHTML()
{
  var ds = gRssDs;
  var myRSS = new rssNamespace();

//	  alert("bo");
  var channelResource = ds.GetSource(myRSS.rdfTypeNS, myRSS.channelNS, true);
  var itemSequence = ds.GetTarget(channelResource, myRSS.itemsNS, true);

  RDFContainer = Components.classes["@mozilla.org/rdf/container;1"]
						   .getService(Components.interfaces.nsIRDFContainer);

  RDFContainerUtils = Components.classes["@mozilla.org/rdf/container-utils;1"]
								.getService(Components.interfaces.nsIRDFContainerUtils);

  if (RDFContainerUtils.IsContainer(ds, itemSequence))
  {
	itemSequence = itemSequence.QueryInterface(Components.interfaces.nsIRDFResource);
	//alert (itemSequence.Value);

	try {
	  var itemCount = RDFContainer.GetCount();
	} catch (e) {
	  itemCount = 0;
	}

	var htmlContent = '<html><head><title>RSS View</title></head><body><table>';

	var result = RDFContainer.GetElements();

	for (var count = 0; count < itemCount; count++)
	{
	  var rssItem = result.getNext().QueryInterface(Components.interfaces.nsIRDFResource);

	  var thisTitle = ds.GetTarget(rssItem, myRSS.titleNS, true);
	  thisTitle = thisTitle.QueryInterface(Components.interfaces.nsIRDFLiteral);

	  var thisLink = ds.GetTarget(rssItem, myRSS.linkNS, true);
	  thisLink = thisLink.QueryInterface(Components.interfaces.nsIRDFLiteral);

	  var thisDesc = ds.GetTarget(rssItem, myRSS.descNS, true);
	  thisDesc = thisDesc.QueryInterface(Components.interfaces.nsIRDFLiteral);

	  htmlContent += '<tr><td class="title">';
	  htmlContent += '<a href="' + thisLink.Value + '">' + thisTitle.Value + '</a></td></tr>';
	  htmlContent += '<tr><td class="desc">' + thisDesc.Value + '</td></tr>';
	}

	htmlContent += '</table></html>';

	var profileComponent = Components.classes["@mozilla.org/profile/manager;1"].createInstance();
	var profileInternal = profileComponent.QueryInterface(Components.interfaces.nsIProfileInternal);
	var rssFile = profileInternal.getProfileDir(profileInternal.currentProfile);
	rssFile.append("rss.html");

	if (!rssFile.exists())
	{
	  var fileOut = Components.classes["@mozilla.org/network/file-output-stream;1"].createInstance();
	  var outStream = fileOut.QueryInterface(Components.interfaces.nsIFileOutputStream);
	  // flag from nsIFile.idl
	  var NORMAL_FILE_TYPE = 0;
	  // flags from prio.h [ http://lxr.mozilla.org/seamonkey/source/nsprpub/pr/include/prio.h ]
	  var WRITE_ONLY	   = 0x02;
	  var OWNER_WRITE	   = 00200;

	  rssFile.create(NORMAL_FILE_TYPE, 755);
	  outStream.init(rssFile, WRITE_ONLY, OWNER_WRITE, 0);
	  outStream.write(htmlContent, htmlContent.length);
	  outStream.close();
	}
  }
  alert("finish");
}


