

var CalendarEvents = function () {
	this.init();
}
CalendarEvents.prototype = {

  init : function()
  {
	this.currentTime = new Date();

	var iCalLibComponent = Components.classes["@mozilla.org/ical;1"].createInstance();
	if( !iCalLibComponent ) {
	  alert( "The ICAL Componenet is not registered properly. Please quit Mozilla, " +
			 "remove your component.reg file and restart Mozilla." );
	//	return;
	}
	this.iCalLib = iCalLibComponent.QueryInterface(Components.interfaces.oeIICal);


	var profileComponent = Components.classes["@mozilla.org/profile/manager;1"].createInstance();
	var profileInternal = profileComponent.QueryInterface(Components.interfaces.nsIProfileInternal);
	this.profileFile = profileInternal.getProfileDir(profileInternal.currentProfile);
	this.profileFile.append("CalendarDataFile.ics");

  // should setServer uses url instead?
	this.iCalLib.setServer(this.profileFile.path);
  },

  populate : function()
  {
	var iCalEventComponent = Components.classes["@mozilla.org/oedatetime;1"].createInstance();
	var iCalEvent = iCalEventComponent.QueryInterface(Components.interfaces.oeIDateTime);
	iCalEventStart = iCalEvent;
	iCalEventEnd = iCalEvent;

	iCalEventStart.setTime(this.currentTime);

	// 604800000 = 7 days in unix timestamp
	iCalEventEnd.setTime(new Date(this.currentTime.valueOf() + 604800000));

	dayOfMonth = this.currentTime.getDate();
  
	var displayDates =	new Object(); // some workaround?
	eventEnum = this.iCalLib.getEventsForRange(this.currentTime, new Date(this.currentTime.valueOf() + 604800000), displayDates);

	while (eventEnum.hasMoreElements()) {
	  var temptest = eventEnum.getNext();
	  var getEvent = temptest.QueryInterface(Components.interfaces.oeIICalEvent);
	  var treeItem = document.createElement("listitem");
	  if (getEvent.recur) {
		treeItem.setAttribute("label", getEvent.title);
	  } else {
		eventDay = getEvent.start.QueryInterface(Components.interfaces.oeIDateTime).day;
		dayOfWeek = "";
		if (dayOfMonth == eventDay) {
		  dayOfWeek = "Today";
		} else if (dayOfMonth + 1 == eventDay) {
		  dayOfWeek = "Tomorrow";
		} else if (dayOfMonth + 2 == eventDay) {
		  dayOfWeek = "Tomorrow";
		} else {
		}
		treeItem.setAttribute("label", getEvent.title + " " + dayOfWeek);
	  }
	  document.getElementById("calendarEvents").appendChild(treeItem);
	}
  }
//	var iCalEventComponent = Components.classes["@mozilla.org/icalevent;1"].createInstance();
//	var iCalEvent = iCalEventComponent.QueryInterface(Components.interfaces.oeIICalEvent);
}

