//var rssImport = function(remoteUrl, localStore) {
//	  this.init(remoteUrl, localStore);
//}


function rssImport()
{
  var xmlDoc = document.implementation.createDocument("", "test", null);
  var profileFile  = null;
  var RDF		   = null;
  var ds		   = null;
  var remoteURL    = null;
  var RDFContainer = null;
  var RDFContainerUtils = null;
  var localRDS	   = null;

  this.init = function(remoteUrl, localStore)
  {
	remoteURL = remoteUrl;
	  
	var profileComponent = Components.classes["@mozilla.org/profile/manager;1"].createInstance();
	var profileInternal = profileComponent.QueryInterface(Components.interfaces.nsIProfileInternal);
	profileFile = profileInternal.getProfileDir(profileInternal.currentProfile);
	profileFile.append("CalendarDataFile.ics");

	RDF = Components.classes['@mozilla.org/rdf/rdf-service;1']
					.getService(Components.interfaces.nsIRDFService);
/*	  ds = Components.
			 classes['@mozilla.org/rdf/datasource?name=in-memory-datasource;1'].
			 createInstance();*/
	ds = RDF.GetDataSource("file:///c:/rss.rdf");
	RDFContainerUtils = Components.classes["@mozilla.org/rdf/container-utils;1"]
								  .getService(Components.interfaces.nsIRDFContainerUtils);
	localRDS = ds.QueryInterface(Components.interfaces.nsIRDFRemoteDataSource);
	if (localRDS.loaded)
	{
	  localRDS.Refresh(true);
	  alert("the datasource was already loaded!\n");
	}
	else
	{
	  alert("the datasource wasn't loaded, but it's loading now!\n");
	}
	// RDF/XML Datasources are all nsIRDFXMLSinks
	var localSink = localRDS.QueryInterface(Components.interfaces.nsIRDFXMLSink);
	// Attach the observer to the datasource-as-sink
	localSink.addXMLSinkObserver(ObserverLocalRDF);

	xmlDoc.addEventListener("load", this.documentLoaded, false);
	 this.setupRDF();
	 xmlDoc.load(remoteUrl);
  }

  this.documentLoaded = function(e)
  {
  netscape.security.PrivilegeManager.enablePrivilege("UniversalBrowserRead");
  netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");

	//var rssNode = xmlDoc.getElementsByTagName("rss");
	//var rssVersion = rssNode[0].getAttribute("version");

	var item  = RDF.GetResource("http://purl.org/rss/1.0/item");
	var link  = RDF.GetResource("http://purl.org/rss/1.0/link");
	var title = RDF.GetResource("http://purl.org/rss/1.0/title");
	var desc  = RDF.GetResource("http://purl.org/rss/1.0/description");
	var rdfType = RDF.GetResource("http://www.w3.org/1999/02/22-rdf-syntax-ns#type");

	//if (rssVersion == "0.92")
	{
	  rssItems = xmlDoc.getElementsByTagName("item");
	  for (var i = 0; i < rssItems.length; i++)
	  {
		try {
		  var linkData = rssItems[i].getElementsByTagName("link")[0].firstChild.data;
		} catch (err) {
		  linkData = remoteURL;
		}
		var titleData = rssItems[i].getElementsByTagName("title")[0].firstChild.data;
		var descData = rssItems[i].getElementsByTagName("description")[0].firstChild.data;

		var linkResource = RDF.GetResource(linkData + i);
		var linkLiteral  = RDF.GetLiteral(linkData + i);
		var titleLiteral = RDF.GetLiteral(titleData);
		var descLiteral  = RDF.GetLiteral(descData);

		ds.Assert(linkResource, rdfType, item, true);
		ds.Assert(linkResource, title, titleLiteral, true);
		ds.Assert(linkResource, link,  linkLiteral, true);
		ds.Assert(linkResource, desc,  descLiteral, true);

		RDFContainer.AppendElement(linkResource, true);
	  }
	  localRDS.Flush();
	}
	/*else
	{
	  alert ("Error has occured, only RSS is supported currently");
	}*/
	alert("finish");
  }

  this.setupRDF = function()
  {
	RDFContainer = Components.classes["@mozilla.org/rdf/container;1"]
									  .getService(Components.interfaces.nsIRDFContainer);
	if (!RDFContainerUtils.IsContainer(ds, RDF.GetResource(remoteURL)))
	{
	  RDFContainerUtils.MakeSeq(ds, RDF.GetResource(remoteURL));
	}
	RDFContainer.Init(ds, RDF.GetResource(remoteURL));
  }

  var ObserverLocalRDF = {
	onBeginLoad: function(aSink) { window.status = "being loading..:"; },
	onInterrupt: function(aSink) { alert("interrupt..."); },
	onResume: function(aSink) { alert("resuming..."); },
	onEndLoad: function(aSink)
	{
		alert("observe");
	  this.setupRDF();
	  xmlDoc.load(remoteUrl);
	  // RDF/XML Datasources are all nsIRDFXMLSinks
	  var localSink = localSource.QueryInterface(Components.interfaces.nsIRDFXMLSink);
	  // Attach the observer to the datasource-as-sink
	  localSink.removeXMLSinkObserver(ObserverLocalRDF);
	},
	onError: function(aSink, aStatus, aErrorMsg) { alert("error! " + aErrorMsg); }
  };
}
