function localPost(postType)
{
  var testLocal = new localStore(null);
  var localFilename = document.getElementById("prevBlogPostList").selectedItem;
  if (!localFilename) {
    var mydate = new Date();
    localFilename = mydate.getTime();
    localFilename = localFilename + ".txt";
  } else
    localFilename = localFilename.value;
  var localContent = editorHandle.content;
  testLocal.saveFile(localFilename, localContent);
  clearField();
  localRecentFile();
}

function localRecentFile()
{
  var prevBlogPanel = document.getElementById('prevBlogPostList');
  var listCount = prevBlogPanel.getRowCount();
  for (scraptCount = 0; scraptCount < listCount; scraptCount++) {
    prevBlogPanel.removeItemAt(0);
  }

  var newBlogList = document.getElementById("prevBlogPostList");
  var testLocal = new localStore(null);
  var localDirFh = testLocal.localDirFh;
  var localDirContent = localDirFh.directoryEntries;
  var fileHandle = null;

  while(localDirContent.hasMoreElements())
  {
    fileHandle = localDirContent.getNext()
                 .QueryInterface(Components.interfaces.nsIFile);
    if (fileHandle.isFile()) {
      fileLabel = fileHandle.leafName;
      var treeItem = document.createElement("listitem" );
      treeItem.setAttribute("label", fileLabel);
      treeItem.setAttribute("value", fileLabel);
      newBlogList.appendChild(treeItem);
    }
  }
}

function getlocalContent()
{
  var localFilename = document.getElementById("prevBlogPostList").selectedItem.value;
  var testLocal = new localStore(null);
  editorHandle.content = testLocal.getFileContent(localFilename);
}

function deletelocalPost()
{
  var localFilename = document.getElementById("prevBlogPostList").selectedItem;
  if (localFilename)
  {
    localFilename = localFilename.value;
    if (confirm("Are you sure you want to delete post: " + localFilename)) {
      var testLocal = new localStore(null);
      testLocal.deleteFile(localFilename);
      clearField();
      localRecentFile();
    }
  }
}

//*******************************************
// the temporary storage object
//*******************************************

var tempStorage = function()
{
  this.init();
}

tempStorage.prototype = {
  discussDir : null,
  discussDirHd : null,
  filename : null,
  testLocal : null,
  init : function()
  {
    var ioService = Components.classes["@mozilla.org/network/io-service;1"]
                              .getService(Components.interfaces.nsIIOService);
    var profileComponent = Components.classes["@mozilla.org/profile/manager;1"].createInstance();
    var profileInternal = profileComponent.QueryInterface(Components.interfaces.nsIProfileInternal);
    this.discussDirHd = profileInternal.getProfileDir(profileInternal.currentProfile);
    this.discussDir = ioService.newFileURI(this.discussDirHd).spec;
    this.testLocal = new localStore(this.discussDir);
    this.filename = "discussTmp.html";
  },
  save : function()
  {
    if (!document.getElementById("prevBlogPostList").selectedItem)
    {
      this.testLocal.saveFile(this.filename, editorHandle.content);
      document.getElementById("statusbar-display").label = "Post saved";
    }
  },
  load : function()
  {
    editorHandle.content = this.testLocal.getFileContent(this.filename);
  },
  clear : function()
  {
    this.testLocal.saveFile(this.filename, "");
  },
  exists : function()
  {
    var fileHandle = this.discussDirHd.clone();
    fileHandle.append(this.filename)
    if (fileHandle.exists())
      return true;
    else
      return false;
  }
}