/* ***** BEGIN LICENSE BLOCK *****
 * Version: NPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Netscape Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mike Lee's code.
 *
 * The Initial Developer of the Original Code is
 * Mike Lee.
 * Portions created by the Initial Developer are Copyright (C) 2002
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *	Mike Lee <tseng_mike@yahoo.com>
 *  Cedric Shock <cedricshock@ou.edu>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the NPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

try {
  var retrievePost = discussPref.getIntPref("discuss.retrievePost");
} catch (e) {
  retrievePost = 5;
}

function blogPost(publish)
{
  var blogContent = cleanSource(editorHandle.content);
  blogContent = extractThenUploadImage(blogContent);

  editorHandle.dumpState(); // save current editor state

  var blogPostid = document.getElementById("prevBlogPostList").selectedItem;
  if (!blogPostid) {
	blogPostid = 0;
  }	else {
	blogPostid = blogPostid.value;
  }
  if (blogPostid == 0) {
    if (publish) {
      recentPublish = true;
    }
    newPost(blogContent, publish);
  }
  else {
    if (publish) {
      recentPublish = true;
    }
    editPost(blogPostid, blogContent, publish);
  }
  clearField();
}

function getblogContent()
{
  var postid  = document.getElementById("prevBlogPostList").selectedItem.value;
  var found = false;
  var i = 0;
  if (recentResult) {
    while (found == false && i < recentResult.Count()) {
      dictResult = recentResult.QueryElementAt(i, Components.interfaces.nsIDictionary);
      if (dictResult.getValue("postid").QueryInterface(Components.interfaces.nsISupportsString) == postid) {
        blogContent = dictResult.getValue("content").QueryInterface(Components.interfaces.nsISupportsString);
        editorHandle.content = blogContent;
        found = true;
      }
      i++;
    }
  }
//  var postContent = getRDFAttribute(ds, postHandle, "http://www.exitspace.net/blog/postid");
/*  var ds           = rdfStore.getSource("blogHistory");
  var RDF          = Components.classes['@mozilla.org/rdf/rdf-service;1']
					                     .getService(Components.interfaces.nsIRDFService);
  var postHandle   = document.getElementById("prevBlogPostList").selectedItem.value;
  var re = /blogLoc:\/\//i;
  var dataStoreDir = discussPref.getCharPref("localstore.directory");
  var postFullpath = postHandle.replace(re, dataStoreDir);
  getLocalContent(postFullpath);*/
}

function deleteblogPost()
{
  postid = document.getElementById("prevBlogPostList").value;
  if (confirm("Are you sure you want to delete post: " + postid)) {
    deletePost(postid);
    clearField()
  }
}
