  var biEnumerator = function()
  {
	this.init();
  }

  biEnumerator.prototype =
  {
	init : function()
	{
	  this.list = new Array();
	  this.currentIndex = 0;
	  this.insertionIndex = 0;
	},

	first : function()
	{
	  this.currentIndex = 0;
	  return this.list[this.currentIndex];
	},

	next : function()
	{
	  if (this.isDone())
	  {
		return null;
	  }
	  else
	  {
		this.currentIndex++;
		return this.list[this.currentIndex];
	  }
	},

	prev : function()
	{
	  if (this.currentIndex <= 0)
	  {
		return null;
	  }
	  else
	  {
		this.currentIndex--;
		return this.list[this.currentIndex];
	  }
	},

	last : function()
	{
	  this.currentIndex = this.list.length - 1;
	  return this.list[this.currentIndex];
	},

	isDone : function()
	{
	  if (this.currentIndex < this.list.length)
		return false;
	  else
		return true;
	},

	currentItem : function()
	{
	  return this.list[this.currentIndex];
	},

	appendItem : function(item)
	{
	  this.list[this.insertionIndex] = item;
	  this.insertionIndex++;
	}
  }

  var rdfRepository = function()
  {
	this.init();
  }

  rdfRepository.prototype =
  {
	init : function()
	{
	  this.list = new Array();
	  this.currentIndex = 0;
	},

	insertSource : function(key, dataSource)
	{
	  this.list[this.currentIndex] = new Array(2)
	  this.list[this.currentIndex][0] = key;
	  this.list[this.currentIndex][1] = dataSource;
	  this.currentIndex++;
	},

	getSource : function(key)
	{
	  for(var i = 0; i < this.currentIndex; i++)
	  {
		if (this.list[i][0] == key)
		{
		  return this.list[i][1];
		}
	  }
	}
  }

