
var scraptObserver = {
  getSupportedFlavours : function () {
	var flavours = new FlavourSet();
	flavours.appendFlavour("text/unicode");
//	  flavours.appendFlavour("text/x-moz-url");
	return flavours;
  },
  onDragOver: function (evt,flavour,session){},
  onDrop: function (evt,dropdata,session){
	if (dropdata.data!=""){
	  var treeItem = document.createElement("listitem" );
	  treeItem.setAttribute("label", dropdata.data);
	  treeItem.setAttribute("ondblclick", "insertScraptItem();");
	  treeItem.setAttribute("tooltiptext", dropdata.data);
	  document.getElementById("scrapNotes").appendChild(treeItem);
	  var elem=document.createElement(dropdata.data);
	}
  }
};

function clearScraptPanel()
{
	var scraptPanel = document.getElementById('scrapNotes');
	var listCount = scraptPanel.getRowCount();
	for (var scraptCount = 0; scraptCount < listCount; scraptCount++) {
		scraptPanel.removeItemAt(0);
	}
}

function insertScraptItem()
{
	var scraptPanel = document.getElementById('scrapNotes');
	var selectedScrapt = scraptPanel.selectedItem;
	parent.editorShell.InsertText(selectedScrapt.label);
}

function showListTitle(newTitle)
{
	var newListTitle = document.getElementById("scraptPanelTitle");
	newListTitle.setAttribute("value", newTitle);
}

function prevListBox()
{
	var prevTool = toolboxItemList.prev();
	if (prevTool == null)
	  prevTool = toolboxItemList.last();
	showListTitle(prevTool[0]);
	document.getElementById("toolboxFrame")
			  .setAttribute("src", prevTool[1]);
}

function nextListBox()
{
	var prevTool = toolboxItemList.next();
	if (prevTool == null)
	  prevTool = toolboxItemList.first();
	showListTitle(prevTool[0]);
	document.getElementById("toolboxFrame")
			  .setAttribute("src", prevTool[1]);
}

