function CalendarRDFSource()
{
var calRdfFh = new File("c:\\calendar.rdf");
var ioService = Components.classes["@mozilla.org/network/io-service;1"]
						  .getService(Components.interfaces.nsIIOService);
var localCalRdfUrl = ioService.newFileURI(calRdfFh.nsIFile);

  var iCalLibComponent = Components.classes["@mozilla.org/ical;1"].createInstance();
  if( !iCalLibComponent ) {
	alert( "The ICAL Componenet is not registered properly. Please quit Mozilla, remove your component.reg file and restart Mozilla." );
	return;
  }
  var gICalLib = iCalLibComponent.QueryInterface(Components.interfaces.oeIICal);
  if( !gICalLib ) {
	alert( "The IICAL Interface is not registered properly. Please quit Mozilla, remove your component.reg file and restart Mozilla." );
	return;
  }

  var calendarPath = fu.append(userDir,"CalendarDataFile.ics");
  var calRdfHd = new File(calendarPath);
  // should setServer uses url instead?
  gICalLib.setServer(calendarPath);

  var iCalEventComponent = Components.classes["@mozilla.org/icalevent;1"].createInstance();
  var iCalEvent = iCalEventComponent.QueryInterface(Components.interfaces.oeIICalEvent);
/*		iCalEvent.title = "Good";
	  alert (gICalLib.addEvent(iCalEvent));*/

  // RDF STUFF
  var RDF = Components.classes['@mozilla.org/rdf/rdf-service;1'].getService();
  RDF = RDF.QueryInterface(Components.interfaces.nsIRDFService);
  var ds = Components.classes['@mozilla.org/rdf/datasource;1?name=in-memory-datasource'].createInstance();
  ds = ds.QueryInterface(Components.interfaces.nsIRDFDataSource);

  var localSource = RDF.GetDataSourceBlocking(localCalRdfUrl.spec);    // local rdf handle
/**
 * file write
 */
  if (!calRdfFh.exists()) {    // create empty template
	  calRdfFh.open('w');
	  calRdfFh.write('<?xml version="1.0"?>\n' +
					 '<RDF:RDF xmlns:RDF="http://www.w3.org/1999/02/22-rdf-syntax-ns#"\n' +
					 'xmlns:cal="http://mozilla.org/calendar#">\n' +
					 '</RDF:RDF>\n');
	  calRdfFh.close();
  }

  var RDFLocalContainer = Components.classes["@mozilla.org/rdf/container;1"]
									.getService(Components.interfaces.nsIRDFContainer);
  var RDFContainerUtils = Components.classes["@mozilla.org/rdf/container-utils;1"]
									.getService(Components.interfaces.nsIRDFContainerUtils);
  var SyndNamespace = RDF.GetResource('@mozilla.org/calendar/events');

  localRDS = localSource.QueryInterface(Components.interfaces.nsIRDFRemoteDataSource);
  if (!localRDS.loaded) {
	  alert('not loaded');
  } else {
//		localRDS.Refresh(true);
  }
	  localRDS.Refresh(true);
  if (!RDFContainerUtils.IsContainer(localSource, SyndNamespace)) {
	RDFContainerUtils.MakeBag(localSource, SyndNamespace);
  } else {
	alert ('container');
  }

  RDFLocalContainer.Init(localSource, SyndNamespace);

var homepage = RDF.GetResource('http://people.netscape.com/waterson');
var FV_quality = RDF.GetResource('urn:my-web-vocabulary:quality');
var value = RDF.GetLiteral('cool huh');
localSource.Assert(homepage, FV_quality, value, true);
RDFLocalContainer.AppendElement(homepage, true)

var v2 = RDF.GetResource('RDF:type');
var v3 = RDF.GetResource('channel');
localSource.Assert(homepage, v2, v3, true);



/*	calNS = RDF.GetResource('http://mozilla.org/calendar/events');

//	RDFLocalContainer.Init(ds, calNS);

  var eventEnum = gICalLib.getAllEvents();
  while (eventEnum.hasMoreElements()) {
	var temptest = eventEnum.getNext();
	var getEvent = temptest.QueryInterface(Components.interfaces.oeIICalEvent);

	var resource = RDF.GetResource('urn:calendar:' + getEvent.id);
	var calEventName = RDF.GetResource('urn:eventName');
	var calTitle = RDF.GetLiteral(getEvent.title);
	var calEventDesc = RDF.GetResource('urn:eventDescription');
	var calDesc = RDF.GetLiteral(getEvent.description);
	localSource.Assert(resource, calEventName, calTitle, true);
	localSource.Assert(resource, calEventDesc, calDesc, true);
//	  alert (getEvent.title);
	RDFLocalContainer.AppendElement(resource, true)
  }*/
  localRDS.Flush()
//	var target = ds.GetTarget(resource, calTitle, true);
//	target = target.QueryInterface(Components.interfaces.nsIRDFLiteral);
  // expect 'tres cool'
  //alert('target is ' + target.Value + '!');
}
